Package Search Help

You can use boolean logic (e.g. AND/OR/NOT) for complex search queries. For more help and examples, see the search documentation.

Search by package name:
my-package (implicit)
name:my-package (explicit)

Search by package filename:
my-package.ext (implicit)
filename:my-package.ext (explicit)

Search by package tag:
latest (implicit)
tag:latest (explicit)

Search by package version:
1.0.0 (implicit)
version:1.0.0 (explicit)
prerelease:true (prereleases)
prerelease:false (no prereleases)

Search by package architecture:
architecture:x86_64 

Search by package distribution:
distribution:el 

Search by package license:
license:MIT 

Search by package format:
format:deb 

Search by package status:
status:in_progress 

Search by package file checksum:
checksum:5afba 

Search by package security status:
severity:critical 

Search by package vulnerabilities:
vulnerabilities:>1 
vulnerabilities:<1000 

Search by package downloads:
downloads:>8 
downloads:<100 

Search by package type:
type:binary 
type:source 

Search by package size (bytes):
size:>50000 
size:<10000 

Search by dependency name:
dependency:log4j 

Search by uploaded date:
uploaded:>"1 day ago" 
uploaded:<"August 14, 2018 EST" 

Search by entitlement token (identifier):
entitlement:3lKPVJPosCsY 

Search queries for all Maven-specific (and related) package types

Search by group ID:
maven_group_id:org.apache 

Field type modifiers (depending on the type, you can influence behaviour)

For all queries, you can use:
~foo for negation

For string queries, you can use:
^foo to anchor to start of term
foo$ to anchor to end of term
foo*bar for fuzzy matching

For number/date queries, you can use:
>foo for values greater than
>=foo for values greater / equal
<foo for values less than
<=foo for values less / equal

Need a secure and centralised artifact repository to deliver Alpine, Cargo, CocoaPods, Composer, Conan, Conda, CRAN, Dart, Debian, Docker, Go, Helm, LuaRocks, Maven, npm, NuGet, P2, Python, RedHat, Ruby, Terraform, Vagrant, Raw & More packages?

Cloudsmith is the new standard in Package / Artifact Management and Software Distribution.

With support for all major package formats, you can trust us to manage your software supply chain.

Start My Free Trial
 Public consensys consensys (ConsenSys) / teku
Teku: Teku is a Java implementation of the Ethereum 2.0 Beacon Chain.

Maven logo storage-api  22.3.2

One-liner (summary)

tech.pegasys.teku.internal:storage-api:22.3.2

Description

No description - See summary for more info.

Size

35.2 KB

Downloads

4

Status  Completed
Checksum (MD5) 8c1975489605617626ac1424034d47e7
Checksum (SHA-1) 8c1f4b3265d39925c712a823ad5437e3f94dd8b7
Checksum (SHA-256) dcde5d291850afc9bdf8fc06253a36f4c87c3273f3f1ef85ce8b52d376001e25
Checksum (SHA-512) 20ab3d30d3965576a04869cfada8ab4ac36a1548917ab5a2a95ade73bc10978fd2…
GPG Signature
Storage Region Default Region
Type  Binary (contains binaries and binary artifacts)
Uploaded At 10 months, 3 weeks ago
Uploaded By cs-ops
Slug Id E8UzYA1nQxu6-bZl
Unique Id 0d6OMwpuby83
Version (Raw) 22.3.2
Version (Parsed)
  • Major: 22
  • Minor: 3
  • Patch: 2
  • Type: SemVer (Strict)
  extended metadata
Artifact Id storage-api
Group Id tech.pegasys.teku.internal
Is Snapshot
Packaging jar
Url https://github.com/ConsenSys/teku
  dependencies
Checksum (MD5) 193c9bbe66ec30d1f5dae671f5dfd87a
Runtime com.google.guava:guava >= 31.1-jre | org.apache.commons:commons-lang3 >= 3.12.0 | org.apache.logging.log4j:log4j-api >= 2.17.2 | org.apache.logging.log4j:log4j-core >= 2.17.2 | org.apache.logging.log4j:log4j-slf4j-impl >= 2.17.2 | org.apache.tuweni:tuweni-bytes >= 2.1.0 | tech.pegasys.teku.internal:async >= 22.3.2 | tech.pegasys.teku.internal:infrastructure-events >= 22.3.2 | tech.pegasys.teku.internal:unsigned >= 22.3.2
Compile org.assertj:assertj-core >= None | tech.pegasys.teku.internal:storage-api >= 22.3.2
pkg storage-api-22.3.2.jar 4
3.9 KB
md5 sha1 sha256 sha512
module storage-api-22.3.2.module 0
7.7 KB
md5 sha1 sha256 sha512
pom storage-api-22.3.2.pom 0
18.8 KB
md5 sha1 sha256 sha512
sources storage-api-22.3.2-sources.jar 0
4.6 KB
md5 sha1 sha256 sha512
test-fixtures storage-api-22.3.2-test-fixture… 0
261 bytes
md5 sha1 sha256 sha512
Package Contents (storage-api-22.3.2.jar)
Loading...

This package has 13 files/directories.

 Newer Maven logo
storage-api
 22.8.2
0 Uploaded by ops-quorum-sa
 Newer Maven logo
storage-api
 22.8.1
0 Uploaded by ops-quorum-sa
 Newer Maven logo
storage-api
 22.8.0
61.7 KB 6 months ago
0 cs-ops
 Newer Maven logo
storage-api
 22.7.0
2 cs-ops
 Newer Maven logo
storage-api
 22.6.1
1 cs-ops
 Newer Maven logo
storage-api
 22.6.0
2 cs-ops
 Newer Maven logo
storage-api
 22.5.2
2 cs-ops
 Newer Maven logo
storage-api
 22.5.1
3 cs-ops
 Newer Maven logo
storage-api
 22.5.0
61.1 KB 9 months ago
7 cs-ops
 Newer Maven logo
storage-api
 22.4.0
35.8 KB 10 months ago
11 cs-ops
  Maven logo
storage-api
 22.3.2
4 cs-ops
 Older Maven logo
storage-api
 22.3.1
4 cs-ops
 Older Maven logo
storage-api
 22.3.0
10 cs-ops
 Older Maven logo
storage-api
 22.1.1
35.2 KB 1 year ago
13 cs-ops
 Older Maven logo
storage-api
 22.1.0
13 cs-ops
 Older Maven logo
storage-api
9 cs-ops
 Older Maven logo
storage-api
15 cs-ops
 Older Maven logo
storage-api
11 cs-ops
 Older Maven logo
storage-api
14 cs-ops
 Older Maven logo
storage-api
14 cs-ops

Security Scanning:
You can't see this because your subscription doesn't include this feature, sorry!

With Security Scanning, Cloudsmith will scan your artefacts for vulnerabilities when they're uploaded. These are then presented to you via the UI and the API, so that you can build rules into your CI/CD pipelines to decide how to handle low, medium, high and critical software vulnerabilities.

If you'd like to trial or ask about the Security Scanning feature, just ask us. We'll be happy to help!

Last scanned

3 hours ago

Scan result

Vulnerable

Vulnerability count

2

Max. severity

High
Target:
MEDIUM

CVE-5805-15910: library: vulnerability title



Package Name: package_name
Installed Version: 1.8.45
Fixed Version: 2.1.20

References: www.king-castaneda.org www.stone.com www.oneal.com
MEDIUM

CVE-9629-29702: library: vulnerability title



Package Name: package_name
Installed Version: 1.3.62
Fixed Version: 2.4.41

References: www.kelley-flores.com valentine.com www.williams.com
Loading...

You can embed a badge in another website that shows this or the latest version of this package.

To embed the badge for this specific package version, use the following:

[![This version of 'storage-api' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/?render=true)](https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/)
|This version of 'storage-api' @ Cloudsmith|
.. |This version of 'storage-api' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/?render=true
   :target: https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/
image::https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/?render=true[link="https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/",title="This version of 'storage-api' @ Cloudsmith"]
<a href="https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/22.3.2/a=noarch;xg=tech.pegasys.teku.internal/?render=true" alt="This version of 'storage-api' @ Cloudsmith" /></a>

rendered as: This version of 'storage-api' @ Cloudsmith

To embed the badge for the latest package version, use the following:

[![Latest version of 'storage-api' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/?render=true&show_latest=true)](https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/)
|Latest version of 'storage-api' @ Cloudsmith|
.. |Latest version of 'storage-api' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/?render=true&show_latest=true
   :target: https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/
image::https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/?render=true&show_latest=true[link="https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/",title="Latest version of 'storage-api' @ Cloudsmith"]
<a href="https://cloudsmith.io/~consensys/repos/teku/packages/detail/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/consensys/teku/maven/storage-api/latest/a=noarch;xg=tech.pegasys.teku.internal/?render=true&show_latest=true" alt="Latest version of 'storage-api' @ Cloudsmith" /></a>

rendered as: Latest version of 'storage-api' @ Cloudsmith

These instructions assume you have setup the repository first (or read it).

To install/use storage-api @ version 22.3.2 ...

Then you can then depend on storage-api @ version 22.3.2, via:

Add the following to your project pom.xml file:

<dependency>
  <groupId>tech.pegasys.teku.internal</groupId>
  <artifactId>storage-api</artifactId>
  <version>22.3.2</version>
</dependency>
dependencies {
  implementation 'tech.pegasys.teku.internal:storage-api:22.3.2'
}

Note: These examples use the Groovy-based syntax for Gradle. For the Kotlin syntax, please refer to the official documentation for declaring dependencies.

Add the following to your project build.sbt file:

libraryDependencies += "tech.pegasys.teku.internal" % "storage-api" % "22.3.2"

Add the following to your project project.clj file:

:dependencies [[tech.pegasys.teku.internal/storage-api "22.3.2"]]

For other build systems, such as grape, please consult your build system documentation for more help.

Top